Bug 830016 - SELinux is preventing /usr/sbin/collectd from using the 'sys_nice' capabilities.
SELinux is preventing /usr/sbin/collectd from using the 'sys_nice' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:26126555a459cb00b942e9de580...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 22:19 EDT by Renich Bon Ciric
Modified: 2012-06-16 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:03:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2012-06-07 22:19:00 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Thu 07 Jun 2012 09:18:48 PM CDT

description:
:SELinux is preventing /usr/sbin/collectd from using the 'sys_nice' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that collectd should have the sys_nice capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep collectd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:collectd_t:s0
:Target Context                system_u:system_r:collectd_t:s0
:Target Objects                 [ capability ]
:Source                        collectd
:Source Path                   /usr/sbin/collectd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           collectd-4.10.6-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP
:                              Mon May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 06 Jun 2012 01:37:11 PM CDT
:Last Seen                     Wed 06 Jun 2012 01:37:11 PM CDT
:Local ID                      90d0b9b7-c65d-400f-9900-cc96d17b09c6
:
:Raw Audit Messages
:type=AVC msg=audit(1339007831.556:123): avc:  denied  { sys_nice } for  pid=5823 comm="collectd" capability=23  scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=capability
:
:
:type=AVC msg=audit(1339007831.556:123): avc:  denied  { setsched } for  pid=5823 comm="collectd" scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1339007831.556:123): arch=x86_64 syscall=sched_setscheduler success=no exit=EACCES a0=16bf a1=0 a2=7fff0e8a7670 a3=7fff0e8a73d0 items=0 ppid=1 pid=5823 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=collectd exe=/usr/sbin/collectd subj=system_u:system_r:collectd_t:s0 key=(null)
:
:Hash: collectd,collectd_t,collectd_t,capability,sys_nice
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-08 06:43:19 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 17:01:50 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:58:56 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:03:54 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.